/* Lehasoft Tetris Mobile 2006
   Copyright (c) Alexey Inkin, Lehasoft (1996-2006), GetSoft.ru, leha@inkin.ru

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  */

package Interface;

import javax.microedition.lcdui.*;

class ImageInfo
{
    int     m_nWidth;
    int     m_nHeight;
    String  m_strPath;
    
    public ImageInfo(int    nWidth,
                     int    nHeight,
                     String strPath)
    {
        m_nWidth    = nWidth;
        m_nHeight   = nHeight;
        m_strPath   = strPath;
    }
    
    public int getHeight()
    {
        return m_nHeight;
    }
    
    public int getWidth()
    {
        return m_nWidth;
    }
    
    public Image loadImage()
    {
        try
        {
            return Image.createImage(m_strPath);
        }
        catch (Exception e)
        {
            System.out.println(e);
        }
        return null;
    }
}