/* Lehasoft Tetris Mobile 2006
   Copyright (c) Alexey Inkin, Lehasoft (1996-2006), GetSoft.ru, leha@inkin.ru

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  */

package Main;

public class LanguageInformation
{
    private String  m_strName;
    private String  m_strLocale;
    private int     m_nLocale;
    
    public final static int ENGLISH = 0;
    public final static int RUSSIAN = 1;
    
    public LanguageInformation(String strName, String strLocale, int nLocale)
    {
        m_strName = strName;
        m_strLocale = strLocale;
        m_nLocale = nLocale;
    }
    
    public int getLocale()
    {
        return m_nLocale;
    }
    
    public String getLocaleString()
    {
        return m_strLocale;
    }
    
    public String getName()
    {
        return m_strName;
    }
}